Studio
Prepare a Studio runtime release
Validates the selected release and prepares required immutable artifacts. Readiness and preparation failures are durable; preparation does not activate runtime.
POST
/
api
/
v1
/
studio
/
sessions
/
{sessionId}
/
prepare
Prepare a Studio runtime release
curl --request POST \
--url https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
operationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
releaseId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/prepare"
payload = {
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)⌘I
Prepare a Studio runtime release
curl --request POST \
--url https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
operationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
releaseId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/prepare"
payload = {
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
